=== debian/changelog ===
bear (3.0.18-1) unstable; urgency=medium

  * New upstream version 3.0.18
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Jan 2022 17:28:20 +0100

bear (3.0.17-1) unstable; urgency=medium

  * New upstream version 3.0.17
  * debian/rules: Enable multilib support explicitly

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 19 Nov 2021 20:44:49 +0100

bear (3.0.16-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 29 Sep 2021 21:22:05 +0200

bear (3.0.15-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Update install location for helper files
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 08 Sep 2021 14:11:44 +0200
