## bear 3.0.20

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_policy(VERSION 3.12)
 
 project(Bear
-        VERSION 3.0.18
+        VERSION 3.0.20
         DESCRIPTION "Bear is a tool to generate compilation database for clang tooling."
         LANGUAGES C CXX
         )
