=== third_party/spdlog/CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,9 @@
     include(ExternalProject)
     ExternalProject_Add(spdlog_dependency
             URL
-                https://github.com/gabime/spdlog/archive/v1.9.2.tar.gz
+                https://github.com/gabime/spdlog/archive/v1.10.0.tar.gz
             URL_HASH
-                MD5=cee7f3d31178a00791d7a22c6738df6d
+                MD5=effea813cd81cfb5588806c5754e14f1
             DOWNLOAD_NO_PROGRESS
                 1
             UPDATE_COMMAND
@@ -33,11 +33,24 @@
                 -DSPDLOG_BUILD_EXAMPLE:BOOL=OFF
                 -DCMAKE_PREFIX_PATH:PATH=${CMAKE_PREFIX_PATH}
                 -DCMAKE_INSTALL_PREFIX:PATH=${DEPENDENCIES_INSTALL_PREFIX}/spdlog_dependency
+            CMAKE_CACHE_ARGS
+                -DCMAKE_BUILD_TYPE:STRING=${CMAKE_BUILD_TYPE}
+                -DCMAKE_TOOLCHAIN_FILE:PATH=${CMAKE_TOOLCHAIN_FILE}
+                -DCMAKE_FIND_ROOT_PATH:PATH=${CMAKE_FIND_ROOT_PATH}
+                -DCMAKE_C_COMPILER:STRING=${CMAKE_C_COMPILER}
+                -DCMAKE_C_COMPILER_TARGET:STRING=${CMAKE_C_COMPILER_TARGET}
+                -DCMAKE_CXX_COMPILER:STRING=${CMAKE_CXX_COMPILER}
+                -DCMAKE_CXX_COMPILER_TARGET:STRING=${CMAKE_CXX_COMPILER_TARGET}
+                -DCMAKE_CXX_STANDARD:STRING=${CMAKE_CXX_STANDARD}
+                -DCMAKE_CXX_STANDARD_REQUIRED:BOOL=${CMAKE_CXX_STANDARD_REQUIRED}
+                -DCMAKE_CXX_EXTENSIONS:BOOL=${CMAKE_CXX_EXTENSIONS}
+                -DCMAKE_CXX_FLAGS:STRING=${CMAKE_CXX_FLAGS}
+                -DCMAKE_EXE_LINKER_FLAGS:STRING=${CMAKE_EXE_LINKER_FLAGS}
             )
 
     include(GNUInstallDirs)
     list(APPEND PREFIX_PATH "${DEPENDENCIES_INSTALL_PREFIX}/spdlog_dependency")
-    set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH};${PREFIX_PATH}
+    set(CMAKE_PREFIX_PATH ${PREFIX_PATH};${CMAKE_PREFIX_PATH}
             CACHE PATH "append spdlog library into the search path"
             FORCE)
 endif ()
