=== debian/changelog ===
bear (3.0.20-1build1) kinetic; urgency=medium

  * No-change rebuild against libfmt9

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 21 Aug 2022 06:03:43 +0000

bear (3.0.20-1) unstable; urgency=medium

  * New upstream version 3.0.20
    - Fix FTBFS with fmtlib 9 (Closes: #1014682)
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 30 Jul 2022 22:37:28 +0200

bear (3.0.19-1) unstable; urgency=medium

  * New upstream version 3.0.19

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 28 Mar 2022 20:22:41 +0200
