=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bear
 Priority: optional
 Section: devel
-Maintainer: Sebastian Ramacher <sramacher@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -15,7 +16,7 @@
  nlohmann-json3-dev,
  pkg-config,
  protobuf-compiler-grpc
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/rizsotto/Bear
 Vcs-Browser: https://salsa.debian.org/sramacher/bear
 Vcs-Git: https://salsa.debian.org/sramacher/bear.git
