## bear 3.1.0

=== debian/changelog ===
bear (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0
  * Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Feb 2023 23:14:14 +0100

bear (3.0.21-1) unstable; urgency=medium

  * New upstream version 3.0.21
  * debian/control: Bump Standards-Version
  * debian/watch: Use api.github.com

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 04 Jan 2023 20:34:30 +0100
